<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/vehicles/inheritedhelicopters/deprecated/expansionuh1h.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/da3/a03221_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionuh1h.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/da3/a03221.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionUh1h.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment"> */</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span>ExpansionUh1hDoor_1_1 <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/d33/a07690.html">CarDoor</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>};</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="keyword">class </span>ExpansionUh1hDoor_1_2 <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/d33/a07690.html">CarDoor</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>};</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="keyword">class </span>ExpansionUh1hDoor_2_1 <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/d33/a07690.html">CarDoor</a></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>{</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>};</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="keyword">class </span>ExpansionUh1hDoor_2_2 <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/d33/a07690.html">CarDoor</a></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>{</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>};</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d8/d39/a07842.html">   29</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d39/a07842.html">ExpansionUh1hWreck</a> : <a class="code hl_class" href="../../d3/d8d/a07878.html">ExpansionHelicopterWreck</a></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>{</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>};</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="comment"></span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">/**</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment"> * @class       ExpansionUh1h</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment"> * @brief</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment"> */</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html">   37</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d56/a07846.html">ExpansionUh1h</a> : <a class="code hl_class" href="../../d4/de6/a08486.html">ExpansionHelicopterScript</a></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>{</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a5d67bebffbbb33d626b3dedf8c723914">   39</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a5d67bebffbbb33d626b3dedf8c723914">ExpansionUh1h</a>()</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;ExpansionGyrocopter&quot;</span>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        m_dmgContactCoef = 0.06;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        m_ExplosionSize = 20;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a279a11f962fd80421a48837c9239b27e">   49</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d0/dd3/a07870.html">CarLightBase</a> <a class="code hl_function" href="../../d8/d56/a07846.html#a279a11f962fd80421a48837c9239b27e">CreateFrontLight</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CreateFrontLight&quot;</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d0/dd3/a07870.html">CarLightBase</a>.Cast(ScriptedLightBase.CreateLight(ExpansionHelicopterFrontLight));</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a09cef428641759bd552f2198636196ef">   58</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a09cef428641759bd552f2198636196ef">GetAnimInstance</a>()</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetAnimInstance&quot;</span>);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/d12/a07510.html">ExpansionVehicleAnimInstances</a>.<a class="code hl_variable" href="../../db/d12/a07510.html#a8862186b9dacc6aec9cf5495a706a524">EXPANSION_UH1H</a>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#aee76e75e18e224726820111ac89d4525">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/d56/a07846.html#aee76e75e18e224726820111ac89d4525">GetSeatAnimationType</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetSeatAnimationType&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">switch</span> (posIdx)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_DRIVER;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_CODRIVER;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">case</span> 2:</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_PASSENGER_L;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">case</span> 3:</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_PASSENGER_R;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">case</span> 4:</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_PASSENGER_L;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">case</span> 5:</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_PASSENGER_R;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a63b7109f2ee2b921233722960171cd59">   92</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a63b7109f2ee2b921233722960171cd59">Get3rdPersonCameraType</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;Get3rdPersonCameraType&quot;</span>);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">return</span> DayZPlayerCameras.DAYZCAMERA_3RD_VEHICLE;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#af49c807af01773636d6adbce6578de31">  101</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d56/a07846.html#af49c807af01773636d6adbce6578de31">IsVitalIgniterPlug</a>()</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalIgniterPlug&quot;</span>);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a737913e70f7bf967dc6c1d7179477a2a">  110</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a737913e70f7bf967dc6c1d7179477a2a">IsVitalHydraulicHoses</a>()</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalHydraulicHoses&quot;</span>);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a3b03d43ccff8691acf6656835361e522">  119</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a3b03d43ccff8691acf6656835361e522">GetActionDistanceFuel</a>()</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetActionDistanceFuel&quot;</span>);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">return</span> 2.5;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a6193c872eba7b501246dcc5229909589">  128</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a6193c872eba7b501246dcc5229909589">GetWreckAltitude</a>()</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetWreckAltitude&quot;</span>);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">return</span> 1.5;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a1faa0a35639c05fa673cb7ba2c35620c">  137</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a1faa0a35639c05fa673cb7ba2c35620c">GetCameraHeight</a>()</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetCameraHeight&quot;</span>);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a22c0cf97306111326a3318e72da58b53">  146</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a22c0cf97306111326a3318e72da58b53">GetCameraDistance</a>()</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetCameraDistance&quot;</span>);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordflow">return</span> 15;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a9e4f81d407cfaed655b9d3ed41fbc399">  155</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a9e4f81d407cfaed655b9d3ed41fbc399">GetActionCompNameFuel</a>()</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetActionCompNameFuel&quot;</span>);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;refill&quot;</span>;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a4481a047a7507bc9db0ed7f0d56e12e5">  164</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a4481a047a7507bc9db0ed7f0d56e12e5">OnSound</a>(CarSoundCtrl ctrl, <span class="keywordtype">float</span> oldValue)</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnSound&quot;</span>).Add(ctrl).Add(oldValue);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">switch</span> (ctrl)</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">case</span> CarSoundCtrl.DOORS:</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <span class="keywordtype">float</span> newValue = 0;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">GetCarDoorsState</a>(<span class="stringliteral">&quot;uh1hdoor_1_1&quot;</span>) == CarDoorState.DOORS_CLOSED)</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>                newValue += 0.5;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">GetCarDoorsState</a>(<span class="stringliteral">&quot;uh1hdoor_1_2&quot;</span>) == CarDoorState.DOORS_CLOSED)</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                newValue += 0.5;</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">GetCarDoorsState</a>(<span class="stringliteral">&quot;uh1hdoor_2_1&quot;</span>) == CarDoorState.DOORS_CLOSED)</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>                newValue += 0.5;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">GetCarDoorsState</a>(<span class="stringliteral">&quot;uh1hdoor_2_2&quot;</span>) == CarDoorState.DOORS_CLOSED)</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                newValue += 0.5;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            <span class="keywordflow">if</span> (newValue &gt; 1)</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>                newValue = 1;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            <span class="keywordflow">return</span> newValue;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <span class="keywordflow">return</span> super.OnSound(ctrl, oldValue);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a79a655298b4ba163928b9c8ff6f2196a">  197</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a79a655298b4ba163928b9c8ff6f2196a">GetDoorSelectionNameFromSeatPos</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    {</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetDoorSelectionNameFromSeatPos&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <span class="keywordflow">switch</span> (posIdx)</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_1_1&quot;</span>;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_1_2&quot;</span>;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="keywordflow">case</span> 2:</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_2_1&quot;</span>;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">case</span> 3:</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_2_2&quot;</span>;</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <span class="keywordflow">return</span> super.GetDoorSelectionNameFromSeatPos(posIdx);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    }</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span> </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#aa159eeff9d1588ca0ba491e976dd5d53">  222</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d56/a07846.html#aa159eeff9d1588ca0ba491e976dd5d53">GetDoorInvSlotNameFromSeatPos</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetDoorInvSlotNameFromSeatPos&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keywordflow">switch</span> (posIdx)</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_1_1&quot;</span>;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_1_2&quot;</span>;</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        <span class="keywordflow">case</span> 2:</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_2_1&quot;</span>;</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        <span class="keywordflow">case</span> 3:</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_2_2&quot;</span>;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        }</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <span class="keywordflow">return</span> super.GetDoorInvSlotNameFromSeatPos(posIdx);</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    }</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">  247</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">GetCarDoorsState</a>(<span class="keywordtype">string</span> slotType)</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    {</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetCarDoorsState&quot;</span>).Add(slotType);</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span> </div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        <a class="code hl_class" href="../../d2/d33/a07690.html">CarDoor</a> carDoor;</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        Class.CastTo(carDoor, FindAttachmentBySlotName(slotType));</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        <span class="keywordflow">if</span> (!carDoor)</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        {</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>            <span class="keywordflow">return</span> CarDoorState.DOORS_MISSING;</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        }</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span> </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>        <span class="keywordflow">switch</span> (slotType)</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        {</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;uh1hdoor_1_1&quot;</span>:</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>        {</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>            <span class="keywordflow">if</span> (GetAnimationPhase(<span class="stringliteral">&quot;uh1hdoor_1_1&quot;</span>) &gt; 0.5)</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>            {</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>                <span class="keywordflow">return</span> CarDoorState.DOORS_OPEN;</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>            }</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>            {</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>                <span class="keywordflow">return</span> CarDoorState.DOORS_CLOSED;</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>            }</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>        }</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;uh1hdoor_1_2&quot;</span>:</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>        {</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>            <span class="keywordflow">if</span> (GetAnimationPhase(<span class="stringliteral">&quot;uh1hdoor_1_2&quot;</span>) &gt; 0.5)</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>            {</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>                <span class="keywordflow">return</span> CarDoorState.DOORS_OPEN;</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>            }</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>            {</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>                <span class="keywordflow">return</span> CarDoorState.DOORS_CLOSED;</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>            }</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>        }</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;uh1hdoor_2_1&quot;</span>:</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>        {</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>            <span class="keywordflow">if</span> (GetAnimationPhase(<span class="stringliteral">&quot;uh1hdoor_2_1&quot;</span>) &gt; 0.5)</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>            {</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>                <span class="keywordflow">return</span> CarDoorState.DOORS_OPEN;</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>            }</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>            {</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>                <span class="keywordflow">return</span> CarDoorState.DOORS_CLOSED;</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>            }</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>        }</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;uh1hdoor_2_2&quot;</span>:</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>        {</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>            <span class="keywordflow">if</span> (GetAnimationPhase(<span class="stringliteral">&quot;uh1hdoor_2_2&quot;</span>) &gt; 0.5)</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>            {</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>                <span class="keywordflow">return</span> CarDoorState.DOORS_OPEN;</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>            }</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>            {</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>                <span class="keywordflow">return</span> CarDoorState.DOORS_CLOSED;</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>            }</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>        }</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>        </div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>        <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>        {</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>            <span class="keywordflow">return</span> CarDoorState.DOORS_MISSING;</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>        }</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>        }</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span> </div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>        <span class="keywordflow">return</span> CarDoorState.DOORS_MISSING;</div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>    }</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span> </div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a6ed7255a15ed9501f9c595990b997074">  320</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a6ed7255a15ed9501f9c595990b997074">CanReachDoorsFromSeat</a>(<span class="keywordtype">string</span> pDoorsSelection, <span class="keywordtype">int</span> pCurrentSeat)</div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>    {</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CanReachDoorsFromSeat&quot;</span>).Add(pDoorsSelection).Add(pCurrentSeat);</div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span> </div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>        <span class="keywordflow">switch</span> (pCurrentSeat)</div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>        {</div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>            <span class="keywordflow">if</span> (pDoorsSelection == <span class="stringliteral">&quot;uh1hdoor_1_1&quot;</span>)</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span>            {</div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span>            }</div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>            <span class="keywordflow">if</span> (pDoorsSelection == <span class="stringliteral">&quot;uh1hdoor_1_2&quot;</span>)</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span>            {</div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>            }</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>        <span class="keywordflow">case</span> 2:</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span>            <span class="keywordflow">if</span> (pDoorsSelection == <span class="stringliteral">&quot;uh1hdoor_2_1&quot;</span>)</div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>            {</div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>            }</div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span>        <span class="keywordflow">case</span> 3:</div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span>            <span class="keywordflow">if</span> (pDoorsSelection == <span class="stringliteral">&quot;uh1hdoor_2_2&quot;</span>)</div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span>            {</div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno">  349</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span>            }</div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span>        }</div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno">  353</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span>    }</div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span>    </div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#aad10d660ca63cb337a6eaa8a73bd47ea">  356</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d56/a07846.html#aad10d660ca63cb337a6eaa8a73bd47ea">CrewCanGetThrough</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span>    {</div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CrewCanGetThrough&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span> </div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span>        <span class="keywordflow">switch</span> (posIdx)</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span>        {</div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">GetCarDoorsState</a>(<span class="stringliteral">&quot;uh1hdoor_1_1&quot;</span>) == CarDoorState.DOORS_CLOSED)</div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span> </div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno">  368</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span> </div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">GetCarDoorsState</a>(<span class="stringliteral">&quot;uh1hdoor_1_2&quot;</span>) == CarDoorState.DOORS_CLOSED)</div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span> </div>
<div class="line"><a id="l00375" name="l00375"></a><span class="lineno">  375</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span>        <span class="keywordflow">case</span> 2:</div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">GetCarDoorsState</a>(<span class="stringliteral">&quot;uh1hdoor_2_1&quot;</span>) == CarDoorState.DOORS_CLOSED)</div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span> </div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno">  382</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno">  383</span>        <span class="keywordflow">case</span> 3:</div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">GetCarDoorsState</a>(<span class="stringliteral">&quot;uh1hdoor_2_2&quot;</span>) == CarDoorState.DOORS_CLOSED)</div>
<div class="line"><a id="l00385" name="l00385"></a><span class="lineno">  385</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno">  386</span> </div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno">  389</span>        }</div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span>    }</div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span> </div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a4cdd3a2b40a5708c228fd42ba6fb6f25">  393</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a4cdd3a2b40a5708c228fd42ba6fb6f25">GetAnimSourceFromSelection</a>(<span class="keywordtype">string</span> selection)</div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno">  394</span>    {</div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno">  395</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00396" name="l00396"></a><span class="lineno">  396</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetAnimSourceFromSelection&quot;</span>).Add(selection);</div>
<div class="line"><a id="l00397" name="l00397"></a><span class="lineno">  397</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00398" name="l00398"></a><span class="lineno">  398</span> </div>
<div class="line"><a id="l00399" name="l00399"></a><span class="lineno">  399</span>        <span class="keywordflow">switch</span> (selection)</div>
<div class="line"><a id="l00400" name="l00400"></a><span class="lineno">  400</span>        {</div>
<div class="line"><a id="l00401" name="l00401"></a><span class="lineno">  401</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;uh1hdoor_1_1&quot;</span>:</div>
<div class="line"><a id="l00402" name="l00402"></a><span class="lineno">  402</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_1_1&quot;</span>;</div>
<div class="line"><a id="l00403" name="l00403"></a><span class="lineno">  403</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;uh1hdoor_1_2&quot;</span>:</div>
<div class="line"><a id="l00404" name="l00404"></a><span class="lineno">  404</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_1_2&quot;</span>;</div>
<div class="line"><a id="l00405" name="l00405"></a><span class="lineno">  405</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;uh1hdoor_2_1&quot;</span>:</div>
<div class="line"><a id="l00406" name="l00406"></a><span class="lineno">  406</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_2_1&quot;</span>;</div>
<div class="line"><a id="l00407" name="l00407"></a><span class="lineno">  407</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;uh1hdoor_2_2&quot;</span>:</div>
<div class="line"><a id="l00408" name="l00408"></a><span class="lineno">  408</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;uh1hdoor_2_2&quot;</span>;</div>
<div class="line"><a id="l00409" name="l00409"></a><span class="lineno">  409</span>        }</div>
<div class="line"><a id="l00410" name="l00410"></a><span class="lineno">  410</span> </div>
<div class="line"><a id="l00411" name="l00411"></a><span class="lineno">  411</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00412" name="l00412"></a><span class="lineno">  412</span>    }</div>
<div class="line"><a id="l00413" name="l00413"></a><span class="lineno">  413</span> </div>
<div class="line"><a id="l00414" name="l00414"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a2bcac892c09ce5db47674fc01580dd11">  414</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a2bcac892c09ce5db47674fc01580dd11">UpdateLights</a>(<span class="keywordtype">int</span> new_gear = -1)</div>
<div class="line"><a id="l00415" name="l00415"></a><span class="lineno">  415</span>    {</div>
<div class="line"><a id="l00416" name="l00416"></a><span class="lineno">  416</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00417" name="l00417"></a><span class="lineno">  417</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;UpdateLights&quot;</span>).Add(new_gear);</div>
<div class="line"><a id="l00418" name="l00418"></a><span class="lineno">  418</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00419" name="l00419"></a><span class="lineno">  419</span> </div>
<div class="line"><a id="l00420" name="l00420"></a><span class="lineno">  420</span>        super.UpdateLights(new_gear);</div>
<div class="line"><a id="l00421" name="l00421"></a><span class="lineno">  421</span> </div>
<div class="line"><a id="l00422" name="l00422"></a><span class="lineno">  422</span>        <span class="keywordflow">if</span> (IsMissionClient())</div>
<div class="line"><a id="l00423" name="l00423"></a><span class="lineno">  423</span>        {</div>
<div class="line"><a id="l00424" name="l00424"></a><span class="lineno">  424</span>            <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> battery;</div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno">  425</span> </div>
<div class="line"><a id="l00426" name="l00426"></a><span class="lineno">  426</span>            <span class="keywordflow">if</span> (IsVitalHelicopterBattery())</div>
<div class="line"><a id="l00427" name="l00427"></a><span class="lineno">  427</span>                battery = <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a>.Cast(FindAttachmentBySlotName(<span class="stringliteral">&quot;ExpansionHelicopterBattery&quot;</span>));</div>
<div class="line"><a id="l00428" name="l00428"></a><span class="lineno">  428</span> </div>
<div class="line"><a id="l00429" name="l00429"></a><span class="lineno">  429</span>            <span class="keywordflow">if</span> (battery)</div>
<div class="line"><a id="l00430" name="l00430"></a><span class="lineno">  430</span>            {</div>
<div class="line"><a id="l00431" name="l00431"></a><span class="lineno">  431</span>                <span class="keywordflow">if</span> (m_HeadlightsOn)</div>
<div class="line"><a id="l00432" name="l00432"></a><span class="lineno">  432</span>                {</div>
<div class="line"><a id="l00433" name="l00433"></a><span class="lineno">  433</span>                    <span class="keywordflow">if</span> (m_Lights.Count() == 0)</div>
<div class="line"><a id="l00434" name="l00434"></a><span class="lineno">  434</span>                    {</div>
<div class="line"><a id="l00435" name="l00435"></a><span class="lineno">  435</span>                        CreateLights(<span class="keyword">this</span>, <span class="stringliteral">&quot;interior&quot;</span>, <a class="code hl_class" href="../../dd/dbd/a05090.html">ExpansionPointLight</a>, Vector(0.1, 1, 0.25), Vector(0.1, 1, 0.25), 2.3, 0.1, <span class="keyword">false</span>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00436" name="l00436"></a><span class="lineno">  436</span>                    }</div>
<div class="line"><a id="l00437" name="l00437"></a><span class="lineno">  437</span>                }</div>
<div class="line"><a id="l00438" name="l00438"></a><span class="lineno">  438</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00439" name="l00439"></a><span class="lineno">  439</span>                {</div>
<div class="line"><a id="l00440" name="l00440"></a><span class="lineno">  440</span>                    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> b = 0; b &lt; m_Lights.Count(); b++)</div>
<div class="line"><a id="l00441" name="l00441"></a><span class="lineno">  441</span>                    {</div>
<div class="line"><a id="l00442" name="l00442"></a><span class="lineno">  442</span>                        m_Lights[b].ExpansionSetEnabled(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00443" name="l00443"></a><span class="lineno">  443</span> </div>
<div class="line"><a id="l00444" name="l00444"></a><span class="lineno">  444</span>                        GetGame().ObjectDelete(m_Lights[b]);</div>
<div class="line"><a id="l00445" name="l00445"></a><span class="lineno">  445</span>                    }</div>
<div class="line"><a id="l00446" name="l00446"></a><span class="lineno">  446</span> </div>
<div class="line"><a id="l00447" name="l00447"></a><span class="lineno">  447</span>                    m_Lights.Clear();</div>
<div class="line"><a id="l00448" name="l00448"></a><span class="lineno">  448</span>                }</div>
<div class="line"><a id="l00449" name="l00449"></a><span class="lineno">  449</span>            }</div>
<div class="line"><a id="l00450" name="l00450"></a><span class="lineno">  450</span>        }</div>
<div class="line"><a id="l00451" name="l00451"></a><span class="lineno">  451</span>    }</div>
<div class="line"><a id="l00452" name="l00452"></a><span class="lineno">  452</span> </div>
<div class="line"><a id="l00453" name="l00453"></a><span class="lineno"><a class="line" href="../../d8/d56/a07846.html#a558a652306c0f22c615789c333afcc17">  453</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d56/a07846.html#a558a652306c0f22c615789c333afcc17">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00454" name="l00454"></a><span class="lineno">  454</span>    {</div>
<div class="line"><a id="l00455" name="l00455"></a><span class="lineno">  455</span>        EntityAI entity;</div>
<div class="line"><a id="l00456" name="l00456"></a><span class="lineno">  456</span> </div>
<div class="line"><a id="l00457" name="l00457"></a><span class="lineno">  457</span>        <span class="keywordflow">if</span> (Class.CastTo(entity, <span class="keyword">this</span>))</div>
<div class="line"><a id="l00458" name="l00458"></a><span class="lineno">  458</span>        {</div>
<div class="line"><a id="l00459" name="l00459"></a><span class="lineno">  459</span>            entity.GetInventory().CreateInInventory(<span class="stringliteral">&quot;ExpansionUh1hDoor_1_1&quot;</span>);</div>
<div class="line"><a id="l00460" name="l00460"></a><span class="lineno">  460</span>            entity.GetInventory().CreateInInventory(<span class="stringliteral">&quot;ExpansionUh1hDoor_1_2&quot;</span>);</div>
<div class="line"><a id="l00461" name="l00461"></a><span class="lineno">  461</span>            entity.GetInventory().CreateInInventory(<span class="stringliteral">&quot;ExpansionUh1hDoor_2_1&quot;</span>);</div>
<div class="line"><a id="l00462" name="l00462"></a><span class="lineno">  462</span>            entity.GetInventory().CreateInInventory(<span class="stringliteral">&quot;ExpansionUh1hDoor_2_2&quot;</span>);</div>
<div class="line"><a id="l00463" name="l00463"></a><span class="lineno">  463</span> </div>
<div class="line"><a id="l00464" name="l00464"></a><span class="lineno">  464</span>            entity.GetInventory().CreateInInventory(<span class="stringliteral">&quot;ExpansionHydraulicHoses&quot;</span>);</div>
<div class="line"><a id="l00465" name="l00465"></a><span class="lineno">  465</span>            entity.GetInventory().CreateInInventory(<span class="stringliteral">&quot;ExpansionIgniterPlug&quot;</span>);</div>
<div class="line"><a id="l00466" name="l00466"></a><span class="lineno">  466</span>            entity.GetInventory().CreateInInventory(<span class="stringliteral">&quot;ExpansionHelicopterBattery&quot;</span>);</div>
<div class="line"><a id="l00467" name="l00467"></a><span class="lineno">  467</span>            entity.GetInventory().CreateInInventory(<span class="stringliteral">&quot;HeadlightH7&quot;</span>);</div>
<div class="line"><a id="l00468" name="l00468"></a><span class="lineno">  468</span>        }</div>
<div class="line"><a id="l00469" name="l00469"></a><span class="lineno">  469</span> </div>
<div class="line"><a id="l00470" name="l00470"></a><span class="lineno">  470</span>        Fill(CarFluid.FUEL, 50);</div>
<div class="line"><a id="l00471" name="l00471"></a><span class="lineno">  471</span>        Fill(CarFluid.COOLANT, 6.0);</div>
<div class="line"><a id="l00472" name="l00472"></a><span class="lineno">  472</span>        Fill(CarFluid.OIL, 4.0);</div>
<div class="line"><a id="l00473" name="l00473"></a><span class="lineno">  473</span>    }</div>
<div class="line"><a id="l00474" name="l00474"></a><span class="lineno">  474</span>};</div>
<div class="ttc" id="aa00722_html_a0d014f7d8fe470a42032abc78925b9d5"><div class="ttname"><a href="../../db/d7c/a00722.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a></div><div class="ttdeci">static CF_Trace CF_Trace_2(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00081">cf_trace.c:81</a></div></div>
<div class="ttc" id="aa00722_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa05090_html"><div class="ttname"><a href="../../dd/dbd/a05090.html">ExpansionPointLight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d39/a01271_source.html#l00016">expansionblinklight.c:17</a></div></div>
<div class="ttc" id="aa07510_html"><div class="ttname"><a href="../../db/d12/a07510.html">ExpansionVehicleAnimInstances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5c/a02933_source.html#l00016">expansionvehicleaniminstances.c:17</a></div></div>
<div class="ttc" id="aa07510_html_a8862186b9dacc6aec9cf5495a706a524"><div class="ttname"><a href="../../db/d12/a07510.html#a8862186b9dacc6aec9cf5495a706a524">ExpansionVehicleAnimInstances::EXPANSION_UH1H</a></div><div class="ttdeci">static int EXPANSION_UH1H</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5c/a02933_source.html#l00050">expansionvehicleaniminstances.c:50</a></div></div>
<div class="ttc" id="aa07690_html"><div class="ttname"><a href="../../d2/d33/a07690.html">CarDoor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d47/a03050_source.html#l00001">cardoor.c:2</a></div></div>
<div class="ttc" id="aa07842_html"><div class="ttname"><a href="../../d8/d39/a07842.html">ExpansionUh1hWreck</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00029">expansionuh1h.c:30</a></div></div>
<div class="ttc" id="aa07846_html"><div class="ttname"><a href="../../d8/d56/a07846.html">ExpansionUh1h</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00037">expansionuh1h.c:38</a></div></div>
<div class="ttc" id="aa07846_html_a09cef428641759bd552f2198636196ef"><div class="ttname"><a href="../../d8/d56/a07846.html#a09cef428641759bd552f2198636196ef">ExpansionUh1h::GetAnimInstance</a></div><div class="ttdeci">override int GetAnimInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00058">expansionuh1h.c:58</a></div></div>
<div class="ttc" id="aa07846_html_a1faa0a35639c05fa673cb7ba2c35620c"><div class="ttname"><a href="../../d8/d56/a07846.html#a1faa0a35639c05fa673cb7ba2c35620c">ExpansionUh1h::GetCameraHeight</a></div><div class="ttdeci">override float GetCameraHeight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00137">expansionuh1h.c:137</a></div></div>
<div class="ttc" id="aa07846_html_a22c0cf97306111326a3318e72da58b53"><div class="ttname"><a href="../../d8/d56/a07846.html#a22c0cf97306111326a3318e72da58b53">ExpansionUh1h::GetCameraDistance</a></div><div class="ttdeci">override float GetCameraDistance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00146">expansionuh1h.c:146</a></div></div>
<div class="ttc" id="aa07846_html_a279a11f962fd80421a48837c9239b27e"><div class="ttname"><a href="../../d8/d56/a07846.html#a279a11f962fd80421a48837c9239b27e">ExpansionUh1h::CreateFrontLight</a></div><div class="ttdeci">override CarLightBase CreateFrontLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00049">expansionuh1h.c:49</a></div></div>
<div class="ttc" id="aa07846_html_a2bcac892c09ce5db47674fc01580dd11"><div class="ttname"><a href="../../d8/d56/a07846.html#a2bcac892c09ce5db47674fc01580dd11">ExpansionUh1h::UpdateLights</a></div><div class="ttdeci">override void UpdateLights(int new_gear=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00414">expansionuh1h.c:414</a></div></div>
<div class="ttc" id="aa07846_html_a3b03d43ccff8691acf6656835361e522"><div class="ttname"><a href="../../d8/d56/a07846.html#a3b03d43ccff8691acf6656835361e522">ExpansionUh1h::GetActionDistanceFuel</a></div><div class="ttdeci">override float GetActionDistanceFuel()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00119">expansionuh1h.c:119</a></div></div>
<div class="ttc" id="aa07846_html_a4481a047a7507bc9db0ed7f0d56e12e5"><div class="ttname"><a href="../../d8/d56/a07846.html#a4481a047a7507bc9db0ed7f0d56e12e5">ExpansionUh1h::OnSound</a></div><div class="ttdeci">override float OnSound(CarSoundCtrl ctrl, float oldValue)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00164">expansionuh1h.c:164</a></div></div>
<div class="ttc" id="aa07846_html_a4cdd3a2b40a5708c228fd42ba6fb6f25"><div class="ttname"><a href="../../d8/d56/a07846.html#a4cdd3a2b40a5708c228fd42ba6fb6f25">ExpansionUh1h::GetAnimSourceFromSelection</a></div><div class="ttdeci">override string GetAnimSourceFromSelection(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00393">expansionuh1h.c:393</a></div></div>
<div class="ttc" id="aa07846_html_a558a652306c0f22c615789c333afcc17"><div class="ttname"><a href="../../d8/d56/a07846.html#a558a652306c0f22c615789c333afcc17">ExpansionUh1h::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00453">expansionuh1h.c:453</a></div></div>
<div class="ttc" id="aa07846_html_a5d67bebffbbb33d626b3dedf8c723914"><div class="ttname"><a href="../../d8/d56/a07846.html#a5d67bebffbbb33d626b3dedf8c723914">ExpansionUh1h::ExpansionUh1h</a></div><div class="ttdeci">void ExpansionUh1h()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00039">expansionuh1h.c:39</a></div></div>
<div class="ttc" id="aa07846_html_a6193c872eba7b501246dcc5229909589"><div class="ttname"><a href="../../d8/d56/a07846.html#a6193c872eba7b501246dcc5229909589">ExpansionUh1h::GetWreckAltitude</a></div><div class="ttdeci">override float GetWreckAltitude()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00128">expansionuh1h.c:128</a></div></div>
<div class="ttc" id="aa07846_html_a63b7109f2ee2b921233722960171cd59"><div class="ttname"><a href="../../d8/d56/a07846.html#a63b7109f2ee2b921233722960171cd59">ExpansionUh1h::Get3rdPersonCameraType</a></div><div class="ttdeci">override int Get3rdPersonCameraType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00092">expansionuh1h.c:92</a></div></div>
<div class="ttc" id="aa07846_html_a6ed7255a15ed9501f9c595990b997074"><div class="ttname"><a href="../../d8/d56/a07846.html#a6ed7255a15ed9501f9c595990b997074">ExpansionUh1h::CanReachDoorsFromSeat</a></div><div class="ttdeci">override bool CanReachDoorsFromSeat(string pDoorsSelection, int pCurrentSeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00320">expansionuh1h.c:320</a></div></div>
<div class="ttc" id="aa07846_html_a737913e70f7bf967dc6c1d7179477a2a"><div class="ttname"><a href="../../d8/d56/a07846.html#a737913e70f7bf967dc6c1d7179477a2a">ExpansionUh1h::IsVitalHydraulicHoses</a></div><div class="ttdeci">override bool IsVitalHydraulicHoses()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00110">expansionuh1h.c:110</a></div></div>
<div class="ttc" id="aa07846_html_a79a655298b4ba163928b9c8ff6f2196a"><div class="ttname"><a href="../../d8/d56/a07846.html#a79a655298b4ba163928b9c8ff6f2196a">ExpansionUh1h::GetDoorSelectionNameFromSeatPos</a></div><div class="ttdeci">override string GetDoorSelectionNameFromSeatPos(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00197">expansionuh1h.c:197</a></div></div>
<div class="ttc" id="aa07846_html_a9b03464c4d8daeb193453cd20cb60d0e"><div class="ttname"><a href="../../d8/d56/a07846.html#a9b03464c4d8daeb193453cd20cb60d0e">ExpansionUh1h::GetCarDoorsState</a></div><div class="ttdeci">override int GetCarDoorsState(string slotType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00247">expansionuh1h.c:247</a></div></div>
<div class="ttc" id="aa07846_html_a9e4f81d407cfaed655b9d3ed41fbc399"><div class="ttname"><a href="../../d8/d56/a07846.html#a9e4f81d407cfaed655b9d3ed41fbc399">ExpansionUh1h::GetActionCompNameFuel</a></div><div class="ttdeci">override string GetActionCompNameFuel()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00155">expansionuh1h.c:155</a></div></div>
<div class="ttc" id="aa07846_html_aa159eeff9d1588ca0ba491e976dd5d53"><div class="ttname"><a href="../../d8/d56/a07846.html#aa159eeff9d1588ca0ba491e976dd5d53">ExpansionUh1h::GetDoorInvSlotNameFromSeatPos</a></div><div class="ttdeci">override string GetDoorInvSlotNameFromSeatPos(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00222">expansionuh1h.c:222</a></div></div>
<div class="ttc" id="aa07846_html_aad10d660ca63cb337a6eaa8a73bd47ea"><div class="ttname"><a href="../../d8/d56/a07846.html#aad10d660ca63cb337a6eaa8a73bd47ea">ExpansionUh1h::CrewCanGetThrough</a></div><div class="ttdeci">override bool CrewCanGetThrough(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00356">expansionuh1h.c:356</a></div></div>
<div class="ttc" id="aa07846_html_aee76e75e18e224726820111ac89d4525"><div class="ttname"><a href="../../d8/d56/a07846.html#aee76e75e18e224726820111ac89d4525">ExpansionUh1h::GetSeatAnimationType</a></div><div class="ttdeci">override int GetSeatAnimationType(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00067">expansionuh1h.c:67</a></div></div>
<div class="ttc" id="aa07846_html_af49c807af01773636d6adbce6578de31"><div class="ttname"><a href="../../d8/d56/a07846.html#af49c807af01773636d6adbce6578de31">ExpansionUh1h::IsVitalIgniterPlug</a></div><div class="ttdeci">override bool IsVitalIgniterPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da3/a03221_source.html#l00101">expansionuh1h.c:101</a></div></div>
<div class="ttc" id="aa07870_html"><div class="ttname"><a href="../../d0/dd3/a07870.html">CarLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d19/a03242_source.html#l00001">expansion250nfrontlight.c:2</a></div></div>
<div class="ttc" id="aa07878_html"><div class="ttname"><a href="../../d3/d8d/a07878.html">ExpansionHelicopterWreck</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dda/a03260_source.html#l00013">expansionhelicopterwreck.c:14</a></div></div>
<div class="ttc" id="aa08486_html"><div class="ttname"><a href="../../d4/de6/a08486.html">ExpansionHelicopterScript</a></div><div class="ttdoc">This class handle helicopter movement and physics.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_b27e8102d55cc5d44e37d1ed7930554c.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_600e33639e8af487c3039d73b5771cee.html">vehicles</a></li><li class="navelem"><a class="el" href="../../dir_ec5232f5f9d23354a80cae55118b3a25.html">inheritedhelicopters</a></li><li class="navelem"><a class="el" href="../../dir_6ad141e8d526a77f40e3590a9a704d66.html">deprecated</a></li><li class="navelem"><a class="el" href="../../d1/da3/a03221.html">expansionuh1h.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
